CONTENTS OF THIS FILE
---------------------

* Introduction
* Requirements
* Installation
* Configuration
* How it works
* Support requests
* Maintainers

INTRODUCTION
------------

Social Auth Mailru is a Mail.ru authentication integration for Drupal. It is based on the Social Auth and Social API projects.

It adds to the site:

* A new url: `/user/login/mailru`.
* A settings form at `/admin/config/social-api/social-auth/mailru`.
* A Mail.ru logo in the Social Auth Login block.

REQUIREMENTS
------------

This module requires the following modules:

* Social Auth (https://drupal.org/project/social_auth)
* Social API (https://drupal.org/project/social_api)

And library [qzmenko/oauth2-mailru](https://github.com/qzmenko/oauth2-mailru)

INSTALLATION
------------

Install as you would normally install a contributed Drupal module. See [Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules) for more details.

CONFIGURATION
-------------

* Add your Mailru project OAuth information in
  Configuration » User Authentication » Mailru.
* Place a Social Auth Mailru block in Structure » Block Layout.
* If you already have a Social Auth Login block in the site, rebuild the cache.

HOW IT WORKS
------------

User can click on the Mailru logo on the Social Auth Login block
You can also add a button or link anywhere on the site that points
to `/user/login/mailru`, so theming and customizing the button or link
is very flexible.

When the user opens the `/user/login/mailru link`, it automatically takes
user to Mailru Accounts for authentication. Mailru then returns the user to
Drupal site. If we have an existing Drupal user with the same email address
provided by Mailru, that user is logged in. Otherwise a new Drupal user is
created.

SUPPORT REQUESTS
----------------

Before posting a support request, carefully read the installation
instructions provided in module documentation page.

Before posting a support request, check Recent log entries at
`admin/reports/dblog`

Once you have done this, you can post a support request at module issue queue:
https://www.drupal.org/project/issues/social_auth_mailru

When posting a support request, please inform what does the status report say
at `admin/reports/dblog` and if you were able to see any errors in
Recent log entries.

MAINTAINERS
-----------

Current maintainers:
* Getulio Sánchez (gvso) - https://www.drupal.org/u/gvso
* Himanshu Dixit (himanshu-dixit) - https://www.drupal.org/u/himanshu-dixit
* Kifah Meeran (MaskyS) - https://drupal.org/u/maskys
* Anton Kuzmenko (qzmenko) - https://www.drupal.org/u/qzmenko
